PETSc version 3.15.5
Fix/Edit manual page

# SNESGetLineSearch

Returns a pointer to the line search context set with SNESSetLineSearch() or creates a default line search instance associated with the SNES and returns it.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetLineSearch(SNES snes, SNESLineSearch *linesearch)

Not Collective

### Input Parameter

| snes | - iterative context obtained from SNESCreate()

### Output Parameter

| linesearch | - linesearch context

### See Also

SNESSetLineSearch(), SNESLineSearchCreate()

### Level

beginner

### Location

src/snes/interface/snes.c

### Examples

src/snes/tutorials/ex3.c.html
src/snes/tutorials/ex15.c.html
src/snes/tutorials/ex1f.F90.html
src/ts/tutorials/ex22.c.html
src/ts/tutorials/ex22f.F.html
src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages